| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - r -

- r : csHitBeamResult, csCompressVertexInfo, CS::PluginCommon::SoftShader::Pixel::tag_c, csClipInfo
- radius : csParticleSystem
- rangeEnd : csRenderBuffer
- rangeStart : csRenderBuffer
- rawData : csCommonImageFileLoader
- realPtr : csPlatformMemoryMappingWin32::PlatformMemoryMapping, csPlatformMemoryMappingPosix::PlatformMemoryMapping, csPlatformMemoryMappingDummy::PlatformMemoryMapping
- realSize : csPlatformMemoryMappingPosix::PlatformMemoryMapping
- rect : csSubRectangles::SubRect
- red : csColor, csRGBpixel, csRGBcolor
- RedBits : csPixelFormat
- RedMask : csPixelFormat
- RedShift : csPixelFormat
- ref_count : csRefCount
- refreshRate : csGraphics2D
- region : csSubRectangles, csRectRegion
- Register : iObjectRegistry, iTextureWrapper, iRenderLoopManager, csStringHash, csObjectRegistry, csProcTexture, SYMBOL_INFOW, SYMBOL_INFO
- Registry : csInputDriver
- relative_offset_local_header : ZIP_central_directory_file_header
- renderer : CS::PluginCommon::SoftShader::iScanlineRenderer::RenderInfoMesh
- res : csSubRectangles::SubRect::AllocInfo
- Reserved : MINIDUMP_HEADER, IMAGEHLP_STACK_FRAME, SYMBOL_INFOW, SYMBOL_INFO, STACKFRAME64, KDHELP64
- Reserved2 : IMAGEHLP_STACK_FRAME, SYMBOL_INFOW, SYMBOL_INFO
- ReturnOffset : IMAGEHLP_STACK_FRAME
- rgbaData : csCommonImageFileLoader
- right : csGradientShade, csRedBlackTree< K >::Node
- rmHolder : csParticleSystem
- root : csRedBlackTree< K >, csSubRectangles
- rulePhase : csGLDriverDatabase
- Rva : MINIDUMP_LOCATION_DESCRIPTOR